Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftke.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 3901)
@@ -62,23 +62,23 @@
    LOGICAL , PUBLIC, PARAMETER ::   lk_zdftke = .TRUE.  !: TKE vertical mixing flag
 
-   !                                      !!** Namelist  namzdf_tke  **
-   LOGICAL  ::   ln_mxl0   = .FALSE.       ! mixing length scale surface value as function of wind stress or not
-   INTEGER  ::   nn_mxl    =  2            ! type of mixing length (=0/1/2/3)
-   REAL(wp) ::   rn_mxl0   = 0.04_wp       ! surface  min value of mixing length (kappa*z_o=0.4*0.1 m)  [m]
-   INTEGER  ::   nn_pdl    =  1            ! Prandtl number or not (ratio avt/avm) (=0/1)
-   REAL(wp) ::   rn_ediff  = 0.1_wp        ! coefficient for avt: avt=rn_ediff*mxl*sqrt(e)
-   REAL(wp) ::   rn_ediss  = 0.7_wp        ! coefficient of the Kolmogoroff dissipation 
-   REAL(wp) ::   rn_ebb    = 3.75_wp       ! coefficient of the surface input of tke
-   REAL(wp) ::   rn_emin   = 0.7071e-6_wp  ! minimum value of tke           [m2/s2]
-   REAL(wp) ::   rn_emin0  = 1.e-4_wp      ! surface minimum value of tke   [m2/s2]
-   REAL(wp) ::   rn_bshear = 1.e-20_wp     ! background shear (>0) currently a numerical threshold (do not change it)
-   INTEGER  ::   nn_etau   = 0             ! type of depth penetration of surface tke (=0/1/2/3)
-   INTEGER  ::   nn_htau   = 0             ! type of tke profile of penetration (=0/1)
-   REAL(wp) ::   rn_efr    = 1.0_wp        ! fraction of TKE surface value which penetrates in the ocean
-   LOGICAL  ::   ln_lc     = .FALSE.       ! Langmuir cells (LC) as a source term of TKE or not
-   REAL(wp) ::   rn_lc     = 0.15_wp       ! coef to compute vertical velocity of Langmuir cells
-
-   REAL(wp) ::   ri_cri                    ! critic Richardson number (deduced from rn_ediff and rn_ediss values)
-   REAL(wp) ::   rmxl_min                  ! minimum mixing length value (deduced from rn_ediff and rn_emin values)  [m]
+   !                      !!** Namelist  namzdf_tke  **
+   LOGICAL  ::   ln_mxl0   ! mixing length scale surface value as function of wind stress or not
+   INTEGER  ::   nn_mxl    ! type of mixing length (=0/1/2/3)
+   REAL(wp) ::   rn_mxl0   ! surface  min value of mixing length (kappa*z_o=0.4*0.1 m)  [m]
+   INTEGER  ::   nn_pdl    ! Prandtl number or not (ratio avt/avm) (=0/1)
+   REAL(wp) ::   rn_ediff  ! coefficient for avt: avt=rn_ediff*mxl*sqrt(e)
+   REAL(wp) ::   rn_ediss  ! coefficient of the Kolmogoroff dissipation 
+   REAL(wp) ::   rn_ebb    ! coefficient of the surface input of tke
+   REAL(wp) ::   rn_emin   ! minimum value of tke           [m2/s2]
+   REAL(wp) ::   rn_emin0  ! surface minimum value of tke   [m2/s2]
+   REAL(wp) ::   rn_bshear ! background shear (>0) currently a numerical threshold (do not change it)
+   INTEGER  ::   nn_etau   ! type of depth penetration of surface tke (=0/1/2/3)
+   INTEGER  ::   nn_htau   ! type of tke profile of penetration (=0/1)
+   REAL(wp) ::   rn_efr    ! fraction of TKE surface value which penetrates in the ocean
+   LOGICAL  ::   ln_lc     ! Langmuir cells (LC) as a source term of TKE or not
+   REAL(wp) ::   rn_lc     ! coef to compute vertical velocity of Langmuir cells
+
+   REAL(wp) ::   ri_cri    ! critic Richardson number (deduced from rn_ediff and rn_ediss values)
+   REAL(wp) ::   rmxl_min  ! minimum mixing length value (deduced from rn_ediff and rn_emin values)  [m]
    REAL(wp) ::   rhftau_add = 1.e-3_wp     ! add offset   applied to HF part of taum  (nn_etau=3)
    REAL(wp) ::   rhftau_scl = 1.0_wp       ! scale factor applied to HF part of taum  (nn_etau=3)
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftmx.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftmx.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftmx.F90	(revision 3901)
@@ -38,11 +38,11 @@
    LOGICAL, PUBLIC, PARAMETER ::   lk_zdftmx = .TRUE.    !: tidal mixing flag
 
-   !                                  !!* Namelist  namzdf_tmx : tidal mixing *
-   REAL(wp) ::  rn_htmx    = 500.      ! vertical decay scale for turbulence (meters)
-   REAL(wp) ::  rn_n2min   = 1.e-8     ! threshold of the Brunt-Vaisala frequency (s-1)
-   REAL(wp) ::  rn_tfe     = 1./3.     ! tidal dissipation efficiency (St Laurent et al. 2002)
-   REAL(wp) ::  rn_me      = 0.2       ! mixing efficiency (Osborn 1980)
-   LOGICAL  ::  ln_tmx_itf = .TRUE.    ! Indonesian Through Flow (ITF): Koch-Larrouy et al. (2007) parameterization
-   REAL(wp) ::  rn_tfe_itf = 1.        ! ITF tidal dissipation efficiency (St Laurent et al. 2002)
+   !                       !!* Namelist  namzdf_tmx : tidal mixing *
+   REAL(wp) ::  rn_htmx     ! vertical decay scale for turbulence (meters)
+   REAL(wp) ::  rn_n2min    ! threshold of the Brunt-Vaisala frequency (s-1)
+   REAL(wp) ::  rn_tfe      ! tidal dissipation efficiency (St Laurent et al. 2002)
+   REAL(wp) ::  rn_me       ! mixing efficiency (Osborn 1980)
+   LOGICAL  ::  ln_tmx_itf  ! Indonesian Through Flow (ITF): Koch-Larrouy et al. (2007) parameterization
+   REAL(wp) ::  rn_tfe_itf  ! ITF tidal dissipation efficiency (St Laurent et al. 2002)
 
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   en_tmx     ! energy available for tidal mixing (W/m2)
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/module_example
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/module_example	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/module_example	(revision 3901)
@@ -13,5 +13,5 @@
    !!   'key_example'  :                brief description of the key option
    !!----------------------------------------------------------------------
-   !!   exa_mpl       : liste of module subroutine (caution, never use the
+   !!   exa_mpl       : list of module subroutine (caution, never use the
    !!   exa_mpl_init  : name of the module for a routine)
    !!   exa_mpl_stp   : Please try to use 3 letter block for routine names
@@ -162,7 +162,4 @@
       !!----------------------------------------------------------------------
       !
-      sn_ex%clname ='toto'                      ! set default namelist values
-      sn_ex%nfreqh = 2 
-      !
       REWIND( numnam_ref )              ! Namelist namexa in reference namelist : Example
       READ  ( numnam_ref, namexa, IOSTAT = ios, ERR = 901)
@@ -181,5 +178,5 @@
          WRITE(numout,*) '   Namelist namexa : set example parameters'
          WRITE(numout,*) '      brief desciption               exa_v1  = ', exa_v1
-         WRITE(numout,*) '      brief desciption               exa_v1  = ', exa_v1
+         WRITE(numout,*) '      brief desciption               exa_v2  = ', exa_v2
          WRITE(numout,*) '      brief desciption               nexa_0  = ', nexa_0
          WRITE(numout,*) '      brief desciption          sn_ex%clname = ', sn_ex%clname
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 3901)
@@ -231,5 +231,5 @@
       CALL ctl_opn( numnam_ref, 'namelist_ref', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. )
       CALL ctl_opn( numnam_cfg, 'namelist_cfg', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. )
-      CALL ctl_opn( numond, 'output.namelist.dyn', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE., narea )
+      CALL ctl_opn( numond, 'output.namelist.dyn', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. )
       !
       REWIND( numnam_ref )              ! Namelist namctl in reference namelist : Control prints & Benchmark
@@ -524,6 +524,8 @@
       IF( numnam_ref      /= -1 )   CLOSE( numnam_ref      )   ! oce reference namelist
       IF( numnam_cfg      /= -1 )   CLOSE( numnam_cfg      )   ! oce configuration namelist
+      IF( numond          /= -1 )   CLOSE( numond          )   ! oce output namelist
       IF( numnam_ice_ref  /= -1 )   CLOSE( numnam_ice_ref  )   ! ice reference namelist
       IF( numnam_ice_cfg  /= -1 )   CLOSE( numnam_ice_cfg  )   ! ice configuration namelist
+      IF( numoni          /= -1 )   CLOSE( numoni          )   ! ice output namelist
       IF( numevo_ice      /= -1 )   CLOSE( numevo_ice      )   ! ice variables (temp. evolution)
       IF( numout          /=  6 )   CLOSE( numout          )   ! standard model output file
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/step.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/step.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/step.F90	(revision 3901)
@@ -251,5 +251,9 @@
                                CALL dia_wri_state( 'output.abort', kstp )
       ENDIF
-      IF( kstp == nit000   )   CALL iom_close( numror )     ! close input  ocean restart file
+      IF( kstp == nit000   )   THEN
+         CALL iom_close( numror )     ! close input  ocean restart file
+         CALL FLUSH    ( numond )     ! flush output namelist oce
+         CALL FLUSH    ( numoni )     ! flush output namelist ice    
+      ENDIF
       IF( lrst_oce         )   CALL rst_write    ( kstp )   ! write output ocean restart file
       IF( lk_obc           )   CALL obc_rst_write( kstp )   ! write open boundary restart file
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/SAS_SRC/sbcssm.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/SAS_SRC/sbcssm.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/SAS_SRC/sbcssm.F90	(revision 3901)
@@ -36,6 +36,6 @@
    PUBLIC   sbc_ssm        ! called by sbc
 
-   CHARACTER(len=100)   ::   cn_dir     = './'    !: Root directory for location of ssm files
-   LOGICAL              ::   ln_3d_uv   = .true.  !: specify whether input velocity data is 3D
+   CHARACTER(len=100)   ::   cn_dir         !: Root directory for location of ssm files
+   LOGICAL              ::   ln_3d_uv       !: specify whether input velocity data is 3D
    INTEGER  , SAVE      ::   nfld_3d
    INTEGER  , SAVE      ::   nfld_2d
@@ -142,12 +142,4 @@
       !                                   !   Namelist
       !                                   ! ============
-      ! (NB: frequency positive => hours, negative => months)
-      !                !   file      ! frequency !  variable  ! time intep !  clim  ! 'yearly' or ! weights  ! rotation   !
-      !                !   name      !  (hours)  !   name     !   (T/F)    !  (T/F) !  'monthly'  ! filename ! pairs      !
-      sn_usp  = FLD_N( 'ssm_grid_U' ,    120    , 'vozocrtx' ,  .true.    , .true. ,   'yearly'  , ''       , ''         )
-      sn_vsp  = FLD_N( 'ssm_grid_V' ,    120    , 'vomecrty' ,  .true.    , .true. ,   'yearly'  , ''       , ''         )
-      sn_tem  = FLD_N( 'ssm_grid_T' ,    120    , 'sosstsst' ,  .true.    , .true. ,   'yearly'  , ''       , ''         )
-      sn_sal  = FLD_N( 'ssm_grid_T' ,    120    , 'sosaline' ,  .true.    , .true. ,   'yearly'  , ''       , ''         )
-      sn_ssh  = FLD_N( 'ssm_grid_T' ,    120    , 'sossheig' ,  .true.    , .true. ,   'yearly'  , ''       , ''         )
       !
       REWIND( numnam_ref )              ! Namelist namsbc_ssm in reference namelist : SAS files for dynamical data
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/C14b/trcnam_c14b.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/C14b/trcnam_c14b.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/C14b/trcnam_c14b.F90	(revision 3901)
@@ -55,8 +55,4 @@
       NAMELIST/namc14dia/  c14dia2d, c14dia3d     ! additional diagnostics
       !!-------------------------------------------------------------------
-
-      ndate_beg_b = 650101            ! default namelist value
-      nyear_res_b = 1955
-
       !                             ! Open namelist file
       CALL ctl_opn( numnatb_ref, 'namelist_c14b_ref'  ,     'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
@@ -85,16 +81,4 @@
          ! Namelist namc14dia
          ! -------------------
-         DO jl = 1, jp_c14b_2d
-            WRITE(c14dia2d(jl)%sname,'("2D_",I1)') jl                      ! short name
-            WRITE(c14dia2d(jl)%lname,'("2D DIAGNOSTIC NUMBER ",I2)') jl    ! long name
-            c14dia2d(jl)%units = ' '                                       ! units
-         END DO
-         !                                 ! 3D output arrays
-         DO jl = 1, jp_c14b_3d
-            WRITE(c14dia3d(jl)%sname,'("3D_",I1)') jl                      ! short name
-            WRITE(c14dia3d(jl)%lname,'("3D DIAGNOSTIC NUMBER ",I2)') jl    ! long name
-            c14dia3d(jl)%units = ' '                                       ! units
-         END DO
-
          REWIND( numnatb_ref )              ! Namelist namc14dia in reference namelist : c14b diagnostics
          READ  ( numnatb_ref, namc14dia, IOSTAT = ios, ERR = 903)
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/C14b/trcsms_c14b.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/C14b/trcsms_c14b.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/C14b/trcsms_c14b.F90	(revision 3901)
@@ -307,4 +307,5 @@
       CALL wrk_dealloc( jpi, jpj, jpk, zdecay   )
       !
+     IF ( kt == nittrc000 ) CALL FLUSH ( numonb )     ! flush output namelist C14b
       IF( nn_timing == 1 )  CALL timing_stop('trc_sms_c14b')
       !
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/CFC/trcnam_cfc.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/CFC/trcnam_cfc.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/CFC/trcnam_cfc.F90	(revision 3901)
@@ -51,9 +51,5 @@
       NAMELIST/namcfcdate/ ndate_beg, nyear_res
       NAMELIST/namcfcdia/  cfcdia2d     ! additional diagnostics
-      !!-------------------------------------------------------------------
-
-      ndate_beg = 300101            ! default namelist value
-      nyear_res = 1950
-
+      !!----------------------------------------------------------------------
       !                             ! Open namelist files
       CALL ctl_opn( numnatc_ref, 'namelist_cfc_ref'   ,     'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
@@ -85,10 +81,4 @@
          ! Namelist namcfcdia
          ! -------------------
-         DO jl = 1, jp_cfc_2d
-            WRITE(cfcdia2d(jl)%sname,'("2D_",I1)') jl                      ! short name
-            WRITE(cfcdia2d(jl)%lname,'("2D DIAGNOSTIC NUMBER ",I2)') jl    ! long name
-            cfcdia2d(jl)%units = ' '                                       ! units
-         END DO
-
          REWIND( numnatc_ref )              ! Namelist namcfcdia in reference namelist : CFC diagnostics
          READ  ( numnatc_ref, namcfcdia, IOSTAT = ios, ERR = 903)
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/CFC/trcsms_cfc.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/CFC/trcsms_cfc.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/CFC/trcsms_cfc.F90	(revision 3901)
@@ -205,4 +205,5 @@
       END IF
       !
+      IF ( kt == nittrc000 ) CALL FLUSH ( numonc )     ! flush output namelist CFC
       IF( nn_timing == 1 )  CALL timing_stop('trc_sms_cfc')
       !
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zbio.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zbio.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zbio.F90	(revision 3901)
@@ -31,31 +31,31 @@
    PUBLIC   p2z_bio_init    ! called in ???
 
-   REAL(wp) ::   tmumax     = 1.21e-5    ! maximal phytoplankton growth rate            [s-1]
-   REAL(wp) ::   rgamma     =  0.05      ! phytoplankton exudation fraction             [%]
-   REAL(wp) ::   fphylab    =  0.75      ! NH4 fraction of phytoplankton exsudation
-   REAL(wp) ::   tmminp     =  5.8e-7    ! minimal phytoplancton mortality rate         [0.05/86400 s-1=20 days]
-   REAL(wp) ::   aki        =  33.       ! light photosynthesis half saturation constant[W/m2]
+   REAL(wp) ::   tmumax     ! maximal phytoplankton growth rate            [s-1]
+   REAL(wp) ::   rgamma     ! phytoplankton exudation fraction             [%]
+   REAL(wp) ::   fphylab    ! NH4 fraction of phytoplankton exsudation
+   REAL(wp) ::   tmminp     ! minimal phytoplancton mortality rate         [0.05/86400 s-1=20 days]
+   REAL(wp) ::   aki        ! light photosynthesis half saturation constant[W/m2]
    !
-   REAL(wp) ::   akno3      =  0.7       ! nitrate limitation half-saturation value     [mmol/m3]
-   REAL(wp) ::   aknh4      =  0.001     ! ammonium limitation half-saturation value    [mmol/m3]
-   REAL(wp) ::   taunn      =  5.80e-7   ! nitrification rate                           [s-1]
-   REAL(wp) ::   psinut     =  3.        ! inhibition of nitrate uptake by ammonium
+   REAL(wp) ::   akno3      ! nitrate limitation half-saturation value     [mmol/m3]
+   REAL(wp) ::   aknh4      ! ammonium limitation half-saturation value    [mmol/m3]
+   REAL(wp) ::   taunn      ! nitrification rate                           [s-1]
+   REAL(wp) ::   psinut     ! inhibition of nitrate uptake by ammonium
    !
-   REAL(wp) ::   taudn      = 5.80e-7    ! detritus breakdown rate                        [0.1/86400 s-1=10 days]
-   REAL(wp) ::   fdetlab    = 0.         ! NH4 fraction of detritus dissolution
+   REAL(wp) ::   taudn      ! detritus breakdown rate                        [0.1/86400 s-1=10 days]
+   REAL(wp) ::   fdetlab    ! NH4 fraction of detritus dissolution
    !
-   REAL(wp) ::   taudomn    = 6.43e-8    ! DOM breakdown rate                             [s-1]
-   !                                     ! slow remineralization rate of semi-labile dom to nh4 (1 month)
+   REAL(wp) ::   taudomn    ! DOM breakdown rate                             [s-1]
+   !                        ! slow remineralization rate of semi-labile dom to nh4 (1 month)
    !
-   REAL(wp) ::   rppz       = 0.         ! ivlev coeff for zoo mortality
-   REAL(wp) ::   taus       = 9.26E-6    ! specific zooplankton maximal grazing rate              [s-1]
+   REAL(wp) ::   rppz       ! ivlev coeff for zoo mortality
+   REAL(wp) ::   taus       ! specific zooplankton maximal grazing rate              [s-1]
    !                                     ! 0.75/86400 s-1=8.680555E-6    1/86400 = 1.15e-5
-   REAL(wp) ::   aks        = 1.         ! half-saturation constant for total zooplankton grazing [mmolN.m-3]
-   REAL(wp) ::   rpnaz      = 0.3        ! non-assimilated phytoplankton by zooplancton           [%]
-   REAL(wp) ::   rdnaz      = 0.3        ! non-assimilated detritus by zooplankton                [%]
-   REAL(wp) ::   tauzn      = 8.1e-7     ! zooplancton specific excretion rate                    [0.1/86400 s-1=10 days]
-   REAL(wp) ::   tmminz     = 2.31e-6    ! minimal zooplankton mortality rate                     [(mmolN/m3)-1 d-1]
-   REAL(wp) ::   fzoolab    = 0.5        ! NH4 fraction of zooplankton excretion
-   REAL(wp) ::   fdbod      = 0.5        ! zooplankton mortality fraction that goes to detritus
+   REAL(wp) ::   aks        ! half-saturation constant for total zooplankton grazing [mmolN.m-3]
+   REAL(wp) ::   rpnaz      ! non-assimilated phytoplankton by zooplancton           [%]
+   REAL(wp) ::   rdnaz      ! non-assimilated detritus by zooplankton                [%]
+   REAL(wp) ::   tauzn      ! zooplancton specific excretion rate                    [0.1/86400 s-1=10 days]
+   REAL(wp) ::   tmminz     ! minimal zooplankton mortality rate                     [(mmolN/m3)-1 d-1]
+   REAL(wp) ::   fzoolab    ! NH4 fraction of zooplankton excretion
+   REAL(wp) ::   fdbod      ! zooplankton mortality fraction that goes to detritus
 
    !!* Substitution
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zopt.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zopt.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zopt.F90	(revision 3901)
@@ -28,15 +28,15 @@
    PUBLIC   p2z_opt_init   !
 
-   REAL(wp), PUBLIC ::  xkr0   = 0.0232_wp   !: water coefficient absorption in red      
-   REAL(wp), PUBLIC ::  xkg0   = 0.225_wp    !: water coefficient absorption in green    
-   REAL(wp), PUBLIC ::  xkrp   = 0.074_wp    !: pigment coefficient absorption in red    
-   REAL(wp), PUBLIC ::  xkgp   = 0.037_wp    !: pigment coefficient absorption in green  
-   REAL(wp), PUBLIC ::  xlr    = 0.674_wp    !: exposant for pigment absorption in red  
-   REAL(wp), PUBLIC ::  xlg    = 0.629_wp    !: exposant for pigment absorption in green 
-   REAL(wp), PUBLIC ::  rpig   = 0.7_wp      !: chla/chla+phea ratio    
+   REAL(wp), PUBLIC ::  xkr0      !: water coefficient absorption in red      
+   REAL(wp), PUBLIC ::  xkg0      !: water coefficient absorption in green    
+   REAL(wp), PUBLIC ::  xkrp      !: pigment coefficient absorption in red    
+   REAL(wp), PUBLIC ::  xkgp      !: pigment coefficient absorption in green  
+   REAL(wp), PUBLIC ::  xlr       !: exposant for pigment absorption in red  
+   REAL(wp), PUBLIC ::  xlg       !: exposant for pigment absorption in green 
+   REAL(wp), PUBLIC ::  rpig      !: chla/chla+phea ratio    
    !                 
-   REAL(wp), PUBLIC ::  rcchl  =  60_wp      ! Carbone/Chlorophyl ratio [mgC.mgChla-1]
-   REAL(wp), PUBLIC ::  redf   = 6.56_wp     ! redfield ratio (C:N) for phyto
-   REAL(wp), PUBLIC ::  reddom = 6.56_wp     ! redfield ratio (C:N) for DOM
+   REAL(wp), PUBLIC ::  rcchl     ! Carbone/Chlorophyl ratio [mgC.mgChla-1]
+   REAL(wp), PUBLIC ::  redf      ! redfield ratio (C:N) for phyto
+   REAL(wp), PUBLIC ::  reddom    ! redfield ratio (C:N) for DOM
 
    !!* Substitution
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zsed.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zsed.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zsed.F90	(revision 3901)
@@ -29,8 +29,8 @@
    PUBLIC   p2z_sed_init    ! called in ???
 
-   REAL(wp), PUBLIC ::   sedlam     = 3.86e-7   !: time coefficient of POC remineralization in sediments
-   REAL(wp), PUBLIC ::   sedlostpoc = 0.        ! mass of POC lost in sediments 
-   REAL(wp), PUBLIC ::   vsed       = 3.47e-5   ! detritus sedimentation speed [m/s] 
-   REAL(wp), PUBLIC ::   xhr        = -0.858    ! coeff for martin''s remineralisation profile
+   REAL(wp), PUBLIC ::   sedlam      !: time coefficient of POC remineralization in sediments
+   REAL(wp), PUBLIC ::   sedlostpoc  ! mass of POC lost in sediments 
+   REAL(wp), PUBLIC ::   vsed        ! detritus sedimentation speed [m/s] 
+   REAL(wp), PUBLIC ::   xhr         ! coeff for martin''s remineralisation profile
 
    !!* Substitution
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zsms.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zsms.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zsms.F90	(revision 3901)
@@ -15,4 +15,5 @@
    USE oce_trc          !
    USE trc
+   USE sms_pisces
    USE p2zbio
    USE p2zopt
@@ -66,4 +67,5 @@
       IF( lk_trdmld_trc )  CALL trd_mld_bio( kt )   ! trends: Mixed-layer
       !
+      IF ( kt == nittrc000 ) CALL FLUSH    ( numonp )     ! flush output namelist PISCES
       IF( nn_timing == 1 )  CALL timing_stop('p2z_sms')
       !
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zfechem.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zfechem.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zfechem.F90	(revision 3901)
@@ -31,9 +31,9 @@
 
    !! * Shared module variables
-   LOGICAL          ::  ln_fechem  = .FALSE.    !: boolean for complex iron chemistry following Tagliabue and voelker
-   LOGICAL          ::  ln_ligvar  = .FALSE.    !: boolean for variable ligand concentration following Tagliabue and voelker
-   REAL(wp), PUBLIC ::  xlam1      = 0.005_wp   !: scavenging rate of Iron 
-   REAL(wp), PUBLIC ::  xlamdust   = 150.0_wp   !: scavenging rate of Iron by dust 
-   REAL(wp), PUBLIC ::  ligand     = 0.6E-9_wp  !: ligand concentration in the ocean 
+   LOGICAL          ::  ln_fechem    !: boolean for complex iron chemistry following Tagliabue and voelker
+   LOGICAL          ::  ln_ligvar    !: boolean for variable ligand concentration following Tagliabue and voelker
+   REAL(wp), PUBLIC ::  xlam1        !: scavenging rate of Iron 
+   REAL(wp), PUBLIC ::  xlamdust     !: scavenging rate of Iron by dust 
+   REAL(wp), PUBLIC ::  ligand       !: ligand concentration in the ocean 
 
    REAL(wp) :: kl1, kl2, kb1, kb2, ks, kpr, spd, con, kth
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zflx.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zflx.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zflx.F90	(revision 3901)
@@ -37,9 +37,9 @@
    PUBLIC   p4z_flx_alloc  
 
-   !                                      !!** Namelist  nampisext  **
-   REAL(wp)          ::  atcco2    = 278._wp       !: pre-industrial atmospheric [co2] (ppm) 	
-   LOGICAL           ::  ln_co2int = .FALSE.       !: flag to read in a file and interpolate atmospheric pco2 or not
-   CHARACTER(len=34) ::  clname    = 'atcco2.txt'  !: filename of pco2 values
-   INTEGER           ::  nn_offset = 0             !: Offset model-data start year (default = 0) 
+   !                               !!** Namelist  nampisext  **
+   REAL(wp)          ::  atcco2     !: pre-industrial atmospheric [co2] (ppm) 	
+   LOGICAL           ::  ln_co2int  !: flag to read in a file and interpolate atmospheric pco2 or not
+   CHARACTER(len=34) ::  clname     !: filename of pco2 values
+   INTEGER           ::  nn_offset  !: Offset model-data start year (default = 0) 
 
    !!  Variables related to reading atmospheric CO2 time history    
@@ -47,6 +47,6 @@
    INTEGER  :: nmaxrec, numco2
 
-   !                                         !!* nampisatm namelist (Atmospheric PRessure) *
-   LOGICAL, PUBLIC ::   ln_presatm = .true.  !: ref. pressure: global mean Patm (F) or a constant (F)
+   !                               !!* nampisatm namelist (Atmospheric PRessure) *
+   LOGICAL, PUBLIC ::   ln_presatm  !: ref. pressure: global mean Patm (F) or a constant (F)
 
    REAL(wp) , ALLOCATABLE, SAVE, DIMENSION(:,:)  ::  patm      ! atmospheric pressure at kt                 [N/m2]
@@ -316,13 +316,7 @@
       NAMELIST/nampisatm/ ln_presatm, sn_patm, cn_dir
 
-      !                                         ! -------------------- !
+      !                                         ! ----------------------- !
       IF( kt == nit000 ) THEN                   ! First call kt=nittrc000 !
-         !                                      ! -------------------- !
-         !                                            !* set file information (default values)
-         ! ... default values (NB: frequency positive => hours, negative => months)
-         !            !   file   ! frequency !  variable  ! time intep !  clim   ! 'yearly' or ! weights  ! rotation !
-         !            !   name   !  (hours)  !   name     !   (T/F)    !  (T/F)  !  'monthly'  ! filename ! pairs    !
-         sn_patm = FLD_N( 'pres'  ,    24     ,  'patm'    ,  .false.   , .true.  ,   'yearly'  , ''       , ''       )
-         cn_dir  = './'          ! directory in which the Patm data are 
+         !                                      ! ----------------------- !
 
          REWIND( numnatp_ref )              ! Namelist nampisatm in reference namelist : Pisces atm. sea level pressure file
